$(document).ready(function(){
	
    $('a.ajouter_selec').click(function(){
        panier_change('add', $(this).attr('property'), $(this).attr('orig'));
        return false;
    });

    $('a.retirer_selec').click(function(){
        //panier_change('remove', $(this).attr('property'), $(this).attr('orig'));
        //return false;
    });
	
	$('a.retirer_selec_tableaucomp').click(function(){
        panier_change('remove', $(this).attr('property'), "tableaucomp");
		return false;
    });

    $('span#selection_add').click(function(){
        panier_change('add', $(this).attr('property'), 'property');
    });

    $('span#selection_del').click(function(){
        panier_change('remove', $(this).attr('property'), 'property');
    });

    function panier_change(sens, annonce, orig)
    {
        $.ajax({
            type: "POST",
            url: ajax_panier,
            data: {
                action : sens,
                annonce : annonce
            }
        }).done(function(msg){

            if ($.trim(msg) == 'ok')
            {
                // On met à jour le compteur de la sélection du haut de la
                // page.
                panier_maj_compteur();

                if (sens == 'add')
                {
                    if (orig == 'cart' || orig == 'listing')
                    {
                        var img = 'div#property-'+annonce+' img.photo_principale';
                        var imgX = $(img).offset().left;
                        var imgY = $(img).offset().top;
                        var imgWidth = $(img).width();
                        var imgHeight = $(img).height();
                        var imgBorderLeft = parseInt($(img).css('border-left-width'));
                        var imgBorderTop = parseInt($(img).css('border-top-width'));
                        var panierX = $('span#nombre_selection').offset().left;
                        var panierY = $('span#nombre_selection').offset().top;
                        var panierWidth = $('span#nombre_selection').width();
                        var panierHeight = $('span#nombre_selection').height();

                        var distance = Math.sqrt(Math.abs(Math.pow(panierX-imgX, 2))+Math.abs(Math.pow(panierY-imgY, 2)));
                        var delai = parseInt(0.85*distance);

                        $(img).clone()
                            .css({
                                'position' : 'absolute',
                                'left' : imgX+imgBorderLeft,
                                'top' : imgY+imgBorderTop,
                                'width' : imgWidth,
                                'height' : imgHeight,
                                'z-index' : 10
                            })
                            .prependTo('body')
                            .animate({opacity: 0.1,
                                    left: panierX,
                                    top: panierY,
                                    width: panierWidth,
                                    height: panierHeight
                                }, delai, function(){
                                    $(this).remove();
                                }
                            );

                        $('a#add-'+annonce).hide('fade', 300, function(){
                            $('a#remove-'+annonce).show('fade', 300);
                        });
                    }
                    else if (orig == 'property')
                    {
					
						var img = 'div#photo_principale img#grande_photo';
                        var imgX = $(img).offset().left;
                        var imgY = $(img).offset().top;
                        var imgWidth = $(img).width();
                        var imgHeight = $(img).height();
                        var imgBorderLeft = parseInt($(img).css('border-left-width'));
                        var imgBorderTop = parseInt($(img).css('border-top-width'));
                        var panierX = $('span#nombre_selection').offset().left;
                        var panierY = $('span#nombre_selection').offset().top;
                        var panierWidth = $('span#nombre_selection').width();
                        var panierHeight = $('span#nombre_selection').height();

                        var distance = Math.sqrt(Math.abs(Math.pow(panierX-imgX, 2))+Math.abs(Math.pow(panierY-imgY, 2)));
                        var delai = parseInt(0.85*distance);

                        $(img).clone()
                            .css({
                                'position' : 'absolute',
                                'left' : imgX+imgBorderLeft,
                                'top' : imgY+imgBorderTop,
                                'width' : imgWidth,
                                'height' : imgHeight,
                                'z-index' : 10
                            })
                            .prependTo('body')
                            .animate({opacity: 0.1,
                                    left: panierX,
                                    top: panierY,
                                    width: panierWidth,
                                    height: panierHeight
                                }, delai, function(){
                                    $(this).remove();
                                }
                            );
					
					
					
					
                        $('span#selection_add').hide('fade', 300, function(){
                            $('span#selection_del').show('fade', 300);
                        });
                    }
                    
                }
                else if (sens == 'remove')
                {
                    if (orig == 'listing')
                    {
                        $('a#remove-'+annonce).hide('fade', 300, function(){
                            $('a#add-'+annonce).show('fade', 300);
                        });
                    }
                    else if (orig == 'cart')
                    {
                        $('div#property-'+annonce).animate({
                                opacity: 0,
                                filter: 'alpha(opacity=0)',
                                height: '0px',
                                marginBottom: '0px'
                            }, 1000, function(){
                                $('div#property-'+annonce).remove();
                            }
                        );
                    }
                    else if (orig == 'property')
                    {
                        $('span#selection_del').hide('fade', 300, function(){
                            $('span#selection_add').show('fade', 300);
                        });
                    }
					else if (orig == 'tableaucomp')
                    {
                        window.location = "renter-cart-compare.php" ;
                    }
                }
            }

        }).fail(function(jqXHR, textStatus){
            console.log("Erreur avec le panier.") ;
        });
    }

    function panier_maj_compteur()
    {
        $.ajax({
            type: "POST",
            url: ajax_panier,
            data: {
                action : 'count'
            }
        }).done(function(msg){
            nb = parseInt(msg);
            $('span#nombre_selection').html(nb);
            if (nb == 0)
            {
                $('a#maselection').removeClass('bouton_action');
                $('a#maselection').addClass('bouton_action3');
            }
            else
            {
                $('a#maselection').removeClass('bouton_action3');
                $('a#maselection').addClass('bouton_action');
            }
        }).fail(function(jqXHR, textStatus){
            console.log("Erreur avec le panier.") ;
        });
    }
	


});


function charge_panier() 
{
	$.ajax({
		type: "POST",
		url: ajax_panier,
		data: {
			action : "count"
		}
	}).done(function(msg){		

		$("a#maselection #nombre_selection").html(msg) ;
		if (eval(msg)>0)
			$("a#maselection").removeClass('bouton_action3').addClass('bouton_action') ;
		
	}).fail(function(jqXHR, textStatus){
		console.log("Erreur avec le chargement du panier.") ;
	});
}



function panier_annonce(id) 
{
	$.ajax({
		type: "POST",
		url: ajax_infos_listing,
		data: {
			annonces : id
		}
	}).done(function(msg){
		
		// Lecture de la réponse AJAX (c'est du JSON)
        var oj = typeof JSON != 'undefined' ? JSON.parse(msg) : eval('('+msg+')');

		for(i=0;i<oj.length;i++)
		{
			if (oj[i].cart)
				$("#selection_del").show() ;
			else
				$("#selection_add").show() ;
			
		}
		
		
		
	}).fail(function(jqXHR, textStatus){
		console.log("Erreur avec la recherche d'une annonce dans le panier.") ;
	});
}
